Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/etc align ssh_known_hosts message with other operations



details:   https://anonhg.NetBSD.org/src/rev/4281e08e8296
branches:  trunk
changeset: 557635:4281e08e8296
user:      itojun <itojun%NetBSD.org@localhost>
date:      Wed Jan 14 04:49:57 2004 +0000

description:
align ssh_known_hosts message with other operations

diffstat:

 etc/postinstall |  26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

diffs (50 lines):

diff -r 2ebb1241de21 -r 4281e08e8296 etc/postinstall
--- a/etc/postinstall   Wed Jan 14 04:11:13 2004 +0000
+++ b/etc/postinstall   Wed Jan 14 04:49:57 2004 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: postinstall,v 1.68 2004/01/11 04:21:18 tls Exp $
+# $NetBSD: postinstall,v 1.69 2004/01/14 04:49:57 itojun Exp $
 #
 # Copyright (c) 2002-2004 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -588,26 +588,26 @@
 {
        failed=0
 
-       if [ ! -e "${DEST_DIR}/etc/ssh/ssh_known_hosts" ]; then
+       fs="${SRC_DIR}/etc/ssh/ssh_known_hosts"
+       fd="${DEST_DIR}/etc/ssh/ssh_known_hosts"
+
+       if [ ! -e "${fd}" ]; then
                if [ "${op}" = "check" ]; then 
-                       msg ${DEST_DIR}/etc/ssh/ssh_known_hosts is missing
+                       msg "${fd} is missing"
                        failed=1 
                else
-                       if ! cp "${SRC_DIR}/etc/ssh/ssh_known_hosts" \
-                           "${DEST_DIR}/etc/ssh/ssh_known_hosts"; then
+                       if ! cp "${fs}" "${fd}"; then
                                failed=1
+                       else
+                               msg "Copied ${fs} to ${fd}"
                        fi
                fi
        else
-               src_vers=`awk '/\\$NetBSD/ {print $4}' \
-                   "${SRC_DIR}/etc/ssh/ssh_known_hosts"`
-               dst_vers=`awk '/\\$NetBSD/ {print $4}' \
-                   "${DEST_DIR}/etc/ssh/ssh_known_hosts"`
+               src_vers=`awk '/\\$NetBSD/ {print $4}' "${fs}"`
+               dst_vers=`awk '/\\$NetBSD/ {print $4}' "${fd}"`
                if [ "${src_vers}" != "${dst_vers}" ]; then
-                       msg ${DEST_DIR}/etc/ssh/ssh_known_hosts version: \
-                           ${dest_vers}
-                       msg ${SRC_DIR}/etc/ssh/ssh_known_hosts version: \
-                           ${src_vers}
+                       msg "${fd} version: ${dest_vers}"
+                       msg "${fs} version: ${src_vers}"
                        failed=1
                fi
        fi



Home | Main Index | Thread Index | Old Index